Get All Issues Of Authorized User
GET/api/v5/user/issues
Request
Query Parameters
User authorization code
Filter parameter: assigned if the authorized user is responsible for it, created if the authorized user created it, all if it includes both of the previous conditions. Default: assigned
Issue status: open, progressing, closed, rejected. Default: open
A comma-separated list of labels. Such as: bug, performance
Sorting criterion: creation time (created), update time (updated_at). Default: created_at
Sort order: asc for ascending, desc for descending. Default: desc
The start update time, with the time format required to be ISO 8601.
The current page number
The number of items per page, with a maximum of 100. The default is 20.
Planning start date, format: 20181006T173008+80-20181007T173008+80 (range), or -20181007T173008+80 (less than 20181007T173008+80), or 20181006T173008+80- (greater than 20181006T173008+80), the time format must be 20181006T173008+80
Planning end date, with the same format as above.
Task creation time, with the same format as above.
Task completion time, which is the point in time when the task was last transitioned to the completed state. The format is the same as above.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- Array [
- ]
- ]
assignee objectrequired
repository objectrequired
namespace objectrequired
owner objectrequired
assigner objectrequired
labels object[]required
label added time
milestone objectrequired
Visibility, public: publicly visible, confidential: confidential, visible to project members, other: visible to project members due to other reasons
[
{
"id": 0,
"html_url": "string",
"number": "string",
"state": "string",
"title": "string",
"body": "string",
"assignee": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string",
"type": "string"
},
"repository": {
"id": 0,
"full_name": "string",
"human_name": "string",
"path": "string",
"name": "string",
"url": "string",
"namespace": {
"id": 0,
"type": "string",
"name": "string",
"path": "string",
"html_url": "string"
},
"owner": {
"id": "string",
"login": "string",
"name": "string"
},
"assigner": {},
"paas": "string"
},
"created_at": "string",
"updated_at": "string",
"labels": [
{
"id": 0,
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
],
"comments": 0,
"priority": 0,
"depth": 0,
"parent_id": 0,
"milestone": {
"created_at": "string",
"description": "string",
"due_on": "string",
"html_url": "string",
"number": 0,
"repository_id": 0,
"state": "string",
"title": "string",
"updated_at": "string",
"url": "string"
},
"visibility_reason": "string"
}
]
{
"id": 490786,
"html_url": "https://gitcode.com/gitcode-dev/gitcode-TestTask/issues/319",
"number": "319",
"state": "open",
"title": "The size of attachment images in the comment is increased from 2M to 10M, allowing users to upload larger image attachments.",
"body": "Test content\n\nAs mentioned: https://gitcode.com/gitcode-dev/releases-log/issues/617\nRequirement document address\n\nhttps://gitcode.com/gitcode-dev/releases-log/issues/617\nUI design diagram address\n\nNone\nTechnical solution address\n\nNone\nImpact scope\n\nServices involved in release\n\ngitcode-fe\nDeveloper\n\nLiu Aolin\nPR file changes diffs\n\nhttps://gitcode.com/gitcode-dev/gitcode-fe/merge_requests/3661/diffs\nDependencies\n\nNone\nAPI adjustments\n\nNone\nDatabase adjustments\n\nNone\nNacos configuration adjustments\n\nNone\nOperations and maintenance adjustments\n\nNone",
"assignee": {
"avatar_url": "https://cdn-img.gitcode.com/db/cf/dbc07f37245cab6693ef7a3ba7eb101634f480c263fa294f6b366e4a0fe60a45.png?time=1720429708203",
"html_url": "https://gitcode.com/yinlin",
"id": "303745",
"login": "yinlin",
"name": "yinlin-nickname",
"type": "User"
}
}